* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
}

.container {
  width: 100%;
}

.formulario {
  /*background-color: white;*/
  padding: 0px;
  border-radius: 10px;
  /*box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);*/
}

.campo-radio {
  display: flex;
  align-items: center; /* Alinea verticalmente los elementos */
  justify-content: center; /* Centra los elementos horizontalmente */
  gap: 10px; /* Espacio entre el radio y el label (opcional) */
}

.campo-radio label {
  margin: 0; /* Asegúrate de que no haya márgenes adicionales en el label */
  display: flex;
    margin: 0;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

/* Estilo del checkbox */
#form-field-pensionado-0,
#form-field-pensionado-1{
  -webkit-appearance: none; /* Elimina el estilo por defecto en navegadores WebKit */
  -moz-appearance: none; /* Elimina el estilo por defecto en Firefox */
  appearance: none; /* Elimina el estilo por defecto en otros navegadores */
  
  width: 24px;
  height: 24px;
  border: 2px solid #8DC021;
  border-radius: 5px;
  background-color: #8DC021;
  position: relative;
  cursor: pointer;
}

/* Estilo cuando el checkbox está marcado */
#form-field-pensionado-0:checked,
#form-field-pensionado-1:checked{
  background-color: #8DC021;
  color: #fff;
}

/* Icono de check personalizado cuando está marcado */
#form-field-pensionado-0:checked::after,
#form-field-pensionado-1:checked::after{
  content: '✓';
  color: #fff;
  font-size: 18px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.row {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 15px;
}

.col-12 {
  width: 100%;
  padding: 0 10px;
}

.col-6 {
  width: 50%;
  padding: 0 10px;
}

.campo-radio {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

.formulario input[type="text"],
.formulario input[type="email"],
.formulario input[type="tel"],
.formulario input[type="number"],
.formulario select {
  width: 100%;
  padding: 10px !important;
  border: 1px solid #ccc;
  border-radius: 5px;
  height: 45.6px;
}

.formulario input[type="text"]::placeholder,
.formulario input[type="email"]::placeholder,
.formulario input[type="tel"]::placeholder,
.formulario input[type="number"]::placeholder,
.formulario select::placeholder  {
  color: #ccc;
}

button#sendForm{
  width: 100%;
  padding: 15px;
  background-color: #5ba626;
  color: white;
  border: none;
  border-radius: 5px;
  font-size: 18px;
  cursor: pointer;
}


button#sendForm:disabled{
  background-color: grey;
}

button#sendForm:hover {
  background-color: #4a8f1e;
}

.btn {
  color: #fff;
  background-color: #6c757d;
  border-color: #6c757d;
}

.btn:hover {
  color: #fff;
  background-color: #5c636a;
  border-color: #5c636a;
}

input.error {
  border-color: red !important;
}

/* Medias queries para asegurar el diseño responsive */
@media (max-width: 768px) {
  .col-6 {
    width: 100%;
    padding: 10px;
  }
}
